aboutsummaryrefslogtreecommitdiffstats
path: root/coin/provisioning/qtci-macos-10.12-x86_64/20-xcode.sh
diff options
context:
space:
mode:
authorJoni Jantti <joni.jantti@qt.io>2017-12-27 11:12:09 +0200
committerTony Sarajärvi <tony.sarajarvi@qt.io>2017-12-29 13:16:40 +0000
commit19f8a741f3556271dc4ef598bbf725f89b733b6a (patch)
treec6655acacf9d0ff8cb620a9182bc8f4ed7d12196 /coin/provisioning/qtci-macos-10.12-x86_64/20-xcode.sh
parentd6f7d6ed8bb530ca22d1a9250d79adfd960151bb (diff)
Make provisioning script prefix style match across platforms
Currently we are using different styles and amount of digits for the provisioning script prefixes. This change will unify them across the platforms. Also removes a couple of duplicate files. Task-number: QTQAINFRA-1668 Change-Id: I039777e7616bccc29c6a4ac55db13326ae8dc87c Reviewed-by: Joni Jäntti <joni.jantti@qt.io> Reviewed-by: Simo Fält <simo.falt@qt.io>
Diffstat (limited to 'coin/provisioning/qtci-macos-10.12-x86_64/20-xcode.sh')
-rwxr-xr-xcoin/provisioning/qtci-macos-10.12-x86_64/20-xcode.sh53
1 files changed, 53 insertions, 0 deletions
diff --git a/coin/provisioning/qtci-macos-10.12-x86_64/20-xcode.sh b/coin/provisioning/qtci-macos-10.12-x86_64/20-xcode.sh
new file mode 100755
index 00000000..72e521c5
--- /dev/null
+++ b/coin/provisioning/qtci-macos-10.12-x86_64/20-xcode.sh
@@ -0,0 +1,53 @@
+#!/bin/bash
+
+#############################################################################
+##
+## Copyright (C) 2017 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+# This script installs Xcode
+# Prerequisites: Have Xcode prefetched to local cache as xz compressed.
+# This can be achieved by fetching Xcode_8.xip from Apple Store.
+# Uncompress it with 'xar -xf Xcode_8.xip'
+# Then get https://gist.githubusercontent.com/pudquick/ff412bcb29c9c1fa4b8d/raw/24b25538ea8df8d0634a2a6189aa581ccc6a5b4b/parse_pbzx2.py
+# with which you can run 'python parse_pbzx2.py Content'.
+# This will give you a file called "Content.part00.cpio.xz" that
+# can be renamed to Xcode_8.xz for this script.
+
+set -ex
+
+# shellcheck source=../common/try_catch.sh
+source "${BASH_SOURCE%/*}/../common/try_catch.sh"
+
+# shellcheck source=../common/install_xcode.sh
+source "${BASH_SOURCE%/*}/../common/install_xcode.sh"
+
+InstallXCode /net/ci-files01-hki.intra.qt.io/hdd/www/input/mac/Xcode_8.3.3.xz 8.3.3